CSHA1 Class Reference

## Public Types

enum | { REPORT_HEX = 0, REPORT_DIGIT = 1 }

## Public Member Functions

void | Reset ()
void | Update (const uint8_t *data, uint32_t len)
bool | HashFile (char *szFileName)
void | Final ()
void | ReportHash (char *szReport, unsigned char uReportType=REPORT_HEX)
void | GetHash (uint8_t *puDest)

## Public Attributes

uint32_t | m_state [5]
uint32_t | m_count [2]
uint32_t | __reserved1 [1]
uint8_t | m_buffer [64]
uint8_t | m_digest [20]
uint32_t | __reserved2 [3]

The documentation for this class was generated from the following files:

- SHA1.h
- SHA1.cpp